Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class XMLObjectStreamUnit.TestExternalizable

    java.lang.Object
      rice.p2p.util.testing.XMLObjectStreamUnit.TestExternalizable

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  XMLObjectStreamUnit.TestSubExternalizable

Enclosing class:
  XMLObjectStreamUnit

    public static class XMLObjectStreamUnit.TestExternalizable

extends java.lang.Object
implements java.io.Externalizable

See Also:
  Serialized Form

Field Summary
`protected int` | `num`

Constructor Summary
`XMLObjectStreamUnit.TestExternalizable()`

Method Summary
`int` | `getNum()`
`void` | `readExternal(java.io.ObjectInput i)`
`void` | `writeExternal(java.io.ObjectOutput o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### num

    protected int num

Constructor Detail

### XMLObjectStreamUnit.TestExternalizable

    public XMLObjectStreamUnit.TestExternalizable()

Method Detail

### getNum

    public int getNum()

### writeExternal

    public void writeExternal(java.io.ObjectOutput o)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput i)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.